aboutsummaryrefslogtreecommitdiffstats
path: root/testing/apache2-mod-wsgi/APKBUILD
diff options
context:
space:
mode:
authorMatt Smith <mcs@darkregion.net>2011-04-12 05:30:00 -0500
committerMatt Smith <mcs@darkregion.net>2011-04-12 05:30:00 -0500
commit6288394c61a6a6af98b1eb40e20e1f3ccf6c850e (patch)
tree1965de25fbe3c9168833cfa5fa05bf437f4f39d3 /testing/apache2-mod-wsgi/APKBUILD
parentc3833d0cb48b3282425065ccf6d59d96ee60a54e (diff)
downloadaports-6288394c61a6a6af98b1eb40e20e1f3ccf6c850e.tar.gz
aports-6288394c61a6a6af98b1eb40e20e1f3ccf6c850e.tar.bz2
aports-6288394c61a6a6af98b1eb40e20e1f3ccf6c850e.tar.xz
testing/apache2-mod-wsgi: new aport (rebuild; pkgrel -r1)
Python WSGI Module for Apache2 http://code.google.com/p/modwsgi/
Diffstat (limited to 'testing/apache2-mod-wsgi/APKBUILD')
-rw-r--r--testing/apache2-mod-wsgi/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/testing/apache2-mod-wsgi/APKBUILD b/testing/apache2-mod-wsgi/APKBUILD
new file mode 100644
index 0000000000..89c04f2c24
--- /dev/null
+++ b/testing/apache2-mod-wsgi/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Matt Smith <mcs@darkregion.net>
+# Maintainer: Matt Smith <mcs@darkregion.net>
+pkgname=apache2-mod-wsgi
+_realname=mod_wsgi
+pkgver=3.3
+pkgrel=1
+pkgdesc="Python WSGI Module for Apache2"
+url="http://code.google.com/p/modwsgi/"
+arch="all"
+license="APACHE"
+depends="apache2 python"
+depends_dev=
+makedepends="$depends_dev apache2-dev python-dev"
+install="$pkgname.post-install"
+subpackages="$pkgname-doc"
+source="http://modwsgi.googlecode.com/files/$_realname-$pkgver.tar.gz
+ $pkgname.apache2.conf
+ "
+
+_builddir="$srcdir"/$_realname-$pkgver
+build() {
+ cd "$_builddir"
+ CFLAGS="" CXXFLAGS="" CPPFLAGS="" \
+ ./configure --prefix=/usr \
+ --with-apxs=/usr/sbin/apxs \
+ --with-python=/usr/bin/python || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ # install the apache2 config
+ install -Dm644 "$srcdir"/$pkgname.apache2.conf \
+ "$pkgdir"/etc/apache2/conf.d/wsgi-module.conf || return 1
+}
+
+doc() {
+ arch="noarch"
+
+ # doc files
+ _docs="LICENCE README"
+ for _doc in $_docs; do
+ install -Dm644 "$_builddir"/$_doc \
+ "$subpkgdir"/usr/share/doc/$pkgname/$_doc || return 1
+ done
+}
+
+md5sums="6172bb2bbabcd0c25867c2bc06f99dbb mod_wsgi-3.3.tar.gz
+e1795e051e7aae1f865fde0d3b86a507 apache2-mod-wsgi.apache2.conf"